Bug 78048 - FORMATTING: "constant value" error bars can't be arbitrary small or big
Summary: FORMATTING: "constant value" error bars can't be arbitrary small or big
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2014-04-28 20:53 UTC by bruno.binet
Modified: 2019-03-18 22:25 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
simple XY chart with error bars (standard deviation) (48.29 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-04-28 20:53 UTC, bruno.binet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bruno.binet 2014-04-28 20:53:28 UTC
Created attachment 98141 [details]
simple XY chart with error bars (standard deviation)

In science charts, values can be very small or large on an axis. For a "constant value" error bar, it is impossible to enter a value of 2E26 or 3E-5, for example (nothing is displayed).

In the attachment file, there is a graph with standard deviation error bars. If you edit the Y error bar and choose the "constant value" category (error bar tab) with a value of 2E26, it should work (but it doesn't). For the X error bars, you can't specify 5E-4 (or even 0,0005).

So in brief, scientific notation numbers never works for constant error bars and even decimal numbers in some cases.
Comment 1 Jorendc 2014-05-16 21:05:07 UTC
Thanks again for your clear bug report!

I can confirm this behavior, tested using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha1+ Build ID: 48eccfb812284f43ba24c3be3903537ce954944d
TinderBox: Win-x86@39, Branch:master, Time: 2014-05-16_00:35:19

Kind regards,
Joren
Comment 2 bruno.binet 2015-03-24 00:55:24 UTC
Bug still present in LO 4.3.6.2.

Even if bug 77319 (related) has been solved, the present issue remains.
Comment 3 tommy27 2016-04-16 07:28:04 UTC Comment hidden (obsolete)
Comment 4 bruno.binet 2016-06-07 19:08:21 UTC
The bug is still present in the 5.0 branch (tested here on linux mint 17.3).
Comment 5 bruno.binet 2017-03-08 00:31:31 UTC
Still present in 5.2.5
Comment 6 QA Administrators 2018-03-09 03:46:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug